Name:           libopendaap
Version:        0.4.0
Release:        7%{?dist}
Summary:        Library for connection to iTunes music shares

Group:          System Environment/Libraries
License:        MIT
URL:            http://crazney.net/programs/itunes/libopendaap.html
Source0:        http://crazney.net/programs/itunes/files/libopendaap-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

      

%description
Libopendaap is a library written in C which enables applications to
discover, and connect to, iTunes music shares.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" CPPROG="cp -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Fix config.h include
sed -i -e 's/#include "config.h"//' $RPM_BUILD_ROOT%{_includedir}/daap/portability.h
touch -r $RPM_BUILD_ROOT%{_includedir}/daap/client.h $RPM_BUILD_ROOT%{_includedir}/daap/portability.h


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/daap/
%{_libdir}/*.so
%{_libdir}/pkgconfig/opendaap.pc
%{_mandir}/man3/*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 0.4.0-5
- Rebuild for gcc43

* Fri Dec 14 2007 kwizart <kwizart at gmail.com > - 0.4.0-4
- Update License
- Fix some spec typo
- Fix config.h include in portability.h

* Tue Nov 27 2007 kwizart <kwizart at gmail.com > - 0.4.0-3
- Cleaned spec file 
  (drop makeinstall and prevent timestamp)

* Fri Mar 17 2006 Matthias Saou <http://freshrpms.net/> 0.4.0-2
- Disable/remove static library, nothing seems to use it.

* Mon May 16 2005 Dag Wieers <dag@wieers.com> - 0.4.0-1
- Updated to release 0.4.0.

* Thu Jan 06 2005 Dries Verachtert <dries@ulyssis.org> - 0.3.0
- Initial package.
